package com.zskk.service;

import com.zskk.util.XmlHelper;
import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;


public class InfoService {
	
	private static final String PACSVIEW_URL_STR = "http://192.10.10.165/#/pc?studyurl=http://192.10.10.165:8999/query?address=192.10.10.165:9999&study_uid=";
	
	private Integer create_timestamp() {
		
		Integer timeInt=Integer.parseInt(Long.toString(System.currentTimeMillis() / 1000));
		return timeInt;
	}
	
	public static void main(String[] args) {
		String url = "http://192.10.10.110/CSWebService/CSWebService.asmx/GetOrderInfo";
		OkHttpClient okHttpClient = new OkHttpClient();
		StringBuilder sb = new StringBuilder();
		sb.append("Info=<Body><ApplyNo>");
		sb.append("2553641");
		sb.append("</ApplyNo></Body>");

		RequestBody body = RequestBody.create(sb.toString(), MediaType.get("application/x-www-form-urlencoded"));
		Request request = new Request.Builder().url(url).post(body).build();
		try (Response response = okHttpClient.newCall(request).execute()) {
			String content = response.body().string();
		    XmlHelper xmlHelper = XmlHelper.of(content);
		    String test = xmlHelper.getString("//string");
		    XmlHelper xmlHelper2 = XmlHelper.of(test);
		    String test2 = xmlHelper2.getString("//StudyInstanceUID");
		    System.out.println(test2);
		} catch (Exception e) {
			// TODO: handle exception
			System.out.println(e.toString());
		}
	}

}
